import { AfterViewInit, ChangeDetectorRef, ElementRef, OnChanges, SimpleChanges } from '@angular/core';
import 'prismjs/components/prism-css';
import 'prismjs/components/prism-javascript';
import 'prismjs/components/prism-markup';
import 'prismjs/components/prism-typescript';
import { CodeDisplayMetadata } from './types';
import * as i0 from "@angular/core";
export declare class CodeDisplayComponent implements AfterViewInit, OnChanges {
    private cdr;
    codeElement: ElementRef<HTMLElement>;
    props: CodeDisplayMetadata;
    private toast;
    private i18n;
    selectedTab: number;
    constructor(cdr: ChangeDetectorRef);
    ngOnChanges(changes: SimpleChanges): void;
    ngAfterViewInit(): void;
    selectTab(i: number): void;
    private highlightCode;
    copyToClipboard(): Promise<void>;
    presentToast(message: string): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<CodeDisplayComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CodeDisplayComponent, "val-code-display", never, { "props": { "alias": "props"; "required": false; }; }, {}, never, never, true, never>;
}
